Update to 2.2.0 in support of Gnome 2.2.1.

ok jolan@
This commit is contained in:
marcm 2003-06-12 19:52:11 +00:00
parent 9df05cf6e8
commit 7a64a14e62
5 changed files with 98 additions and 71 deletions

View File

@ -1,14 +1,14 @@
# $OpenBSD: Makefile,v 1.5 2002/12/01 19:59:31 marcm Exp $
# $OpenBSD: Makefile,v 1.6 2003/06/12 19:52:11 marcm Exp $
COMMENT= "MIME and Application database for GNOME"
DISTNAME= gnome-mime-data-2.0.0
DISTNAME= gnome-mime-data-2.2.0
CATEGORIES= x11 x11/gnome
HOMEPAGE= http://www.gnome.org/
MAINTAINER= Marc Matteo <marcm@openbsd.org>
MASTER_SITES= ${MASTER_SITE_GNOME:=sources/gnome-mime-data/2.0/}
MASTER_SITES= ${MASTER_SITE_GNOME:=sources/gnome-mime-data/2.2/}
EXTRACT_SUFX= .tar.bz2
# GPL
@ -17,11 +17,14 @@ PERMIT_PACKAGE_FTP= Yes
PERMIT_DISTFILES_CDROM= Yes
PERMIT_DISTFILES_FTP= Yes
CONFDIR= ${SYSCONFDIR}/gnome
SEPARATE_BUILD= concurrent
CONFIGURE_STYLE= gnu
CONFIGURE_STYLE= gnu old
CONFIGURE_ARGS+= --sysconfdir="${CONFDIR}"
SUBST_VARS= CONFDIR
post-install:
@${INSTALL_DATA_DIR} ${PREFIX}/share/examples/gnome-mime-data; \
cp -Rp ${WRKINST}/${SYSCONFDIR}/* ${PREFIX}/share/examples/gnome-mime-data/
cp -Rp ${WRKINST}/${CONFDIR}/* ${PREFIX}/share/examples/gnome-mime-data/
.include <bsd.port.mk>

View File

@ -1,3 +1,3 @@
MD5 (gnome-mime-data-2.0.0.tar.bz2) = 1d5005376f37c9e03741e34b30e25d75
RMD160 (gnome-mime-data-2.0.0.tar.bz2) = 79796b43c03b39e93398a65c7401f5604aa69698
SHA1 (gnome-mime-data-2.0.0.tar.bz2) = eca256bd40367df1fa87490737770262ce793a63
MD5 (gnome-mime-data-2.2.0.tar.bz2) = 406dcd6370120c54420e012cc1c1d950
RMD160 (gnome-mime-data-2.2.0.tar.bz2) = 8728e6347facd2402de29dc16d478c810190122c
SHA1 (gnome-mime-data-2.2.0.tar.bz2) = 0c3ce7ddc20683974b5ef50b1814baf7d480c6d2

View File

@ -1,6 +1,6 @@
#!/bin/sh
#
# $OpenBSD: DEINSTALL,v 1.1.1.1 2002/02/15 19:12:21 nino Exp $
# $OpenBSD: DEINSTALL,v 1.2 2003/06/12 19:52:11 marcm Exp $
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
@ -12,14 +12,16 @@ gnome-vfs-mime-magic
echo
echo "+--------------- $1"
echo "| To really remove $1 from your system you should also"
echo "| remove the configuration files from the ${SYSCONFDIR} directory."
echo "| If you are planning on installing $1 again in the future"
echo "| you can leave it as it is."
echo "| remove the configuration files from the ${CONFDIR} directory."
echo "| Remove the directories in which the files reside as well if empty."
echo "|"
echo "| FYI, the following configuration files belongs to this package:"
echo "| If you are planning on installing $1 again in the"
echo "| future you can leave it as it is."
echo "|"
echo "| FYI, the following configuration files belong to this package:"
echo "|"
for f in ${FILES}; do
echo "| ${SYSCONFDIR}/$f"
echo "| ${CONFDIR}/$f"
done
echo "+--------------- $1"
echo

View File

@ -1,83 +1,99 @@
#!/bin/sh
#
# $OpenBSD: INSTALL,v 1.1.1.1 2002/02/15 19:12:21 nino Exp $
# $OpenBSD: INSTALL,v 1.2 2003/06/12 19:52:11 marcm Exp $
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
P_NAME=gnome-mime-data
DEST_PFX=${SYSCONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
DIRS='
.
'
FILES='
gnome-vfs-mime-magic
'
set -e
PREFIX=${PKG_PREFIX:-/usr/local}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
do_post() {
echo
echo "+--------------- ${P_NAME}"
DEST_PFX=${CONFDIR}
SOURCE_PFX=${PREFIX}/share/examples/${P_NAME}
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
if [ -n "${OLD_CONFS}" ]; then
echo
echo "+--------------- ${P_NAME}"
# install dirs if necessary
for d in ${DIRS}; do
if [ ! -d "${DEST_PFX}/$d" ]; then
install -d ${DEST_PFX}/$d
fi
done
# install or take note of existing config files
for f in ${FILES}; do
if [ -f "${DEST_PFX}/$f" ]; then
OLD_CONFS="${OLD_CONFS} $f"
else
if ! install -m 644 ${SOURCE_PFX}/$f ${DEST_PFX}/$f; then
echo "| ERROR: The following file could not be installed, exiting: ${DEST_PFX}/$f"
exit 1
fi
NEW_CONFS="${NEW_CONFS} $f"
fi
done
# print status report
if [ -n "${NEW_CONFS}" ]; then
echo "|"
echo "| The following NEW configuration files have been installed:"
echo "|"
for f in ${NEW_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
echo "| The following OLD configuration files was found and have NOT been overwritten:"
echo "| You should however manually compare them to their equivalents in "
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration if needed."
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
fi
echo "+--------------- ${P_NAME}"
echo
if [ -n "${OLD_CONFS}" ]; then
if [ -n "${NEW_CONFS}" ]; then
echo "|"
fi
echo "| The following OLD configuration files were found and have NOT been"
echo "| overwritten:"
echo "|"
for f in ${OLD_CONFS}; do
echo "| ${DEST_PFX}/$f"
done
echo "|"
echo "| You should however manually compare them to their equivalents in"
echo "|"
echo "| ${SOURCE_PFX}"
echo "|"
echo "| and update your configuration as needed."
fi
echo "+--------------- ${P_NAME}"
echo
}
# verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
PRE-INSTALL)
;;
POST-INSTALL)
do_post
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

View File

@ -1,4 +1,4 @@
@comment $OpenBSD: PLIST,v 1.2 2002/08/08 20:01:36 nino Exp $
@comment $OpenBSD: PLIST,v 1.3 2003/06/12 19:52:11 marcm Exp $
lib/pkgconfig/gnome-mime-data-2.0.pc
@comment man/man5/gnome-vfs-mime.5
share/application-registry/gnome-vfs.applications
@ -36,7 +36,9 @@ share/pixmaps/document-icons/gnome-application-x-compress.png
share/pixmaps/document-icons/gnome-application-x-dc-rom.png
share/pixmaps/document-icons/gnome-application-x-deb.png
share/pixmaps/document-icons/gnome-application-x-dia-diagram.png
share/pixmaps/document-icons/gnome-application-x-dvi.png
share/pixmaps/document-icons/gnome-application-x-e-theme.png
share/pixmaps/document-icons/gnome-application-x-flac.png
share/pixmaps/document-icons/gnome-application-x-font-sunos-news.png
share/pixmaps/document-icons/gnome-application-x-gameboy-rom.png
share/pixmaps/document-icons/gnome-application-x-genesis-rom.png
@ -157,20 +159,24 @@ share/pixmaps/document-icons/i-dvd.png
share/pixmaps/document-icons/i-executable.png
share/pixmaps/document-icons/i-fifo.png
share/pixmaps/document-icons/i-floppy.png
share/pixmaps/document-icons/i-ftp.png
share/pixmaps/document-icons/i-harddisk.png
share/pixmaps/document-icons/i-manual.png
share/pixmaps/document-icons/i-music-12.png
share/pixmaps/document-icons/i-music-24.png
share/pixmaps/document-icons/i-music-36.png
share/pixmaps/document-icons/i-music.png
share/pixmaps/document-icons/i-network.png
share/pixmaps/document-icons/i-nfs.png
share/pixmaps/document-icons/i-printer.png
share/pixmaps/document-icons/i-regular-72.png
share/pixmaps/document-icons/i-regular-96.png
share/pixmaps/document-icons/i-regular.png
share/pixmaps/document-icons/i-regular.xml
share/pixmaps/document-icons/i-smb.png
share/pixmaps/document-icons/i-sock.png
share/pixmaps/document-icons/i-spreadsheet.png
share/pixmaps/document-icons/i-web.png
share/pixmaps/document-icons/i-zipdisk.png
@comment @dirrm share/pixmaps/document-icons
@comment @dirrm share/pixmaps